//
//  SideMenuDemoTests.m
//  SideMenuDemoTests
//
//  Created by Warren Merrifield on 17/08/2012.
//  Copyright (c) 2012 Lone Sentry Ltd. All rights reserved.
//

#import "SideMenuDemoTests.h"
#import "SNTRYSideMenuController.h"

@implementation SideMenuDemoTests

- (void)setUp
{
    [super setUp];
    
    // Set-up code here.
}

- (void)tearDown
{
    // Tear-down code here.
    
    [super tearDown];
}

- (void)testCanCreateWithCorrectInitializer
{
	UITableViewController* mainViewController = [[UITableViewController alloc] initWithStyle:UITableViewStylePlain];
	SNTRYSideMenuController* sideController = [[SNTRYSideMenuController alloc] initWithMainViewController:mainViewController];
	
	STAssertNotNil(sideController,
				   @"Failed to create sideController using the correct API");
}

- (void)testCreationRequiresNotNilViewController
{
	SNTRYSideMenuController* sideController = [[SNTRYSideMenuController alloc] initWithMainViewController:nil];
	
	STAssertNil(sideController,
				@"Managed to create a sideController without a main VC!");
}


@end
